Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.transform.inlining.compiler
Class CompilationInfo.Model

    java.lang.Object
      org.codehaus.aspectwerkz.transform.inlining.compiler.CompilationInfo.Model

Enclosing class:
  CompilationInfo

    public static final class CompilationInfo.Model

extends Object

Represents the information needed to compile one joinpoint at a given time

Author:
  Jonas Bonér

Constructor Summary
`CompilationInfo.Model(EmittedJoinPoint emittedJoinPoint, AdviceInfoContainer adviceInfoContainer, ClassInfo thisClassInfo)`
`CompilationInfo.Model(EmittedJoinPoint emittedJoinPoint, AdviceInfoContainer adviceInfoContainer, int redefinitionCounter, ClassInfo thisClassInfo)`

Method Summary
`boolean` | `equals(Object o)`
`AdviceInfoContainer` | `getAdviceInfoContainer()`
`EmittedJoinPoint` | `getEmittedJoinPoint()`
`String` | `getJoinPointClassName()`
`ClassInfo` | `getThisClassInfo()` JoinPoint this class class info (caller)
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilationInfo.Model

    public CompilationInfo.Model(EmittedJoinPoint emittedJoinPoint,
                                 AdviceInfoContainer adviceInfoContainer,
                                 ClassInfo thisClassInfo)

### CompilationInfo.Model

    public CompilationInfo.Model(EmittedJoinPoint emittedJoinPoint,
                                 AdviceInfoContainer adviceInfoContainer,
                                 int redefinitionCounter,
                                 ClassInfo thisClassInfo)

Method Detail

### getJoinPointClassName

    public String getJoinPointClassName()

### getEmittedJoinPoint

    public EmittedJoinPoint getEmittedJoinPoint()

### getAdviceInfoContainer

    public AdviceInfoContainer getAdviceInfoContainer()

### getThisClassInfo

    public ClassInfo getThisClassInfo()

  JoinPoint this class class info (caller)

  Returns:

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.